org.eclipse.wst.jsdt.debug.core.breakpoints

## Interface IJavaScriptLineBreakpoint

All Superinterfaces:
  IJavaScriptBreakpoint

All Known Subinterfaces:
  IJavaScriptFunctionBreakpoint, IJavaScriptLoadBreakpoint

    public interface IJavaScriptLineBreakpoint
    extends IJavaScriptBreakpoint

Abstract description of a line breakpoint for JavaScript

Since:
  1.0

### Field Summary

Fields
`static java.lang.String` `MARKER_ID` Registered marker id for a JavaScript line breakpoint

### Fields inherited from interface org.eclipse.wst.jsdt.debug.core.breakpoints.IJavaScriptBreakpoint

`ELEMENT_HANDLE, HIT_COUNT, SCRIPT_PATH, SUSPEND_POLICY, SUSPEND_TARGET, SUSPEND_THREAD, TYPE_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getCondition()` Returns the condition set for this breakpoint or `null`.
`boolean` `isConditionEnabled()` Returns if the condition for this breakpoint is enabled or not
`boolean` `isConditionSuspendOnTrue()` Returns if the breakpoint should suspend when the assigned condition evaluates to `true`.
`void` `setCondition(java.lang.String condition)` Sets the given condition for the breakpoint.
`void` `setConditionEnabled(boolean enabled)` Allows the enabled state of the condition to be set
`void` `setConditionSuspendOnTrue(boolean suspendontrue)` Sets if the condition for this breakpoint will suspend when it evaluates to `true`.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.breakpoints.IJavaScriptBreakpoint

`getHitCount, getJavaScriptElementHandle, getScriptPath, getSuspendPolicy, getTypeName, isInstalled, setHitCount, setJavaScriptElementHandle, setSuspendPolicy`

### Field Detail

#### MARKER_ID

    static final java.lang.String MARKER_ID

Registered marker id for a JavaScript line breakpoint

See Also:
  Constant Field Values

### Method Detail

#### getCondition

    java.lang.String getCondition()
                           throws CoreException

Returns the condition set for this breakpoint or `null`.

Returns:
  the condition or `null` if one has not been set
Throws:
  `CoreException` - if the breakpoint cannot be accessed

#### setCondition

    void setCondition(java.lang.String condition)
               throws CoreException

Sets the given condition for the breakpoint.

Parameters:
  `condition` - the new condition to set. `null` has the effect of erasing the current condition
Throws:
  `CoreException` - if the breakpoint cannot be accessed

#### isConditionEnabled

    boolean isConditionEnabled()
                        throws CoreException

Returns if the condition for this breakpoint is enabled or not

Returns:
  if the condition is enabled
Throws:
  `CoreException` - if the breakpoint cannot be accessed

#### setConditionEnabled

    void setConditionEnabled(boolean enabled)
                      throws CoreException

Allows the enabled state of the condition to be set

Parameters:
  `enabled` - if the condition should be enabled. Disabling a condition does not remove it.
Throws:
  `CoreException` - if the breakpoint cannot be accessed

#### isConditionSuspendOnTrue

    boolean isConditionSuspendOnTrue()
                              throws CoreException

Returns if the breakpoint should suspend when the assigned condition evaluates to `true`.

Returns:
  true if the breakpoint should suspend when the condition is true
Throws:
  `CoreException` - if the breakpoint cannot be accessed

#### setConditionSuspendOnTrue

    void setConditionSuspendOnTrue(boolean suspendontrue)
                            throws CoreException

Sets if the condition for this breakpoint will suspend when it evaluates to `true`.

Parameters:
  `suspendontrue` - if the condition should suspend when it evaluates to `true`
Throws:
  `CoreException` - if the breakpoint cannot be accessed